Exodus 7.10

Functions
ex_put_init_ext.c File Reference
`#include "exodusII.h"`
`#include "exodusII_int.h"`
`#include "netcdf.h"`
`#include <stddef.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`

## Functions
static void | write_dummy_names (int exoid, ex_entity_type obj_type, int num)
static int | ex_write_object_names (int exoid, const char *type, const char *dimension_name, int dimension_var, int string_dimension, int count)
static int | ex_write_object_params (int exoid, const char *type, const char *dimension_name, const char *status_dim_name, const char *id_array_dim_name, size_t count, int *dimension)
static int | ex_write_map_params (int exoid, const char *map_name, const char *map_dim_name, const char *map_id_name, size_t map_count, int *map_dimension)
static void | invalidate_id_status (int exoid, const char *var_stat, const char *var_id, int count, int *ids)
int | ex_put_init_ext (int exoid, const ex_init_params *model)

## Function Documentation

## ◆ ex_put_init_ext()

int ex_put_init_ext | ( | int | exoid,
|  | const ex_init_params * | model
| ) |  |

writes the initialization parameters to the EXODUS file

Parameters

  exoid | exodus file id
  model | finite element model parameters

## ◆ ex_write_map_params()

static int ex_write_map_params | ( | int | exoid,
|  | const char * | map_name,
|  | const char * | map_dim_name,
|  | const char * | map_id_name,
|  | size_t | map_count,
|  | int * | map_dimension
| ) |  |
| static

## ◆ ex_write_object_names()

static int ex_write_object_names | ( | int | exoid,
|  | const char * | type,
|  | const char * | dimension_name,
|  | int | dimension_var,
|  | int | string_dimension,
|  | int | count
| ) |  |
| static

## ◆ ex_write_object_params()

static int ex_write_object_params | ( | int | exoid,
|  | const char * | type,
|  | const char * | dimension_name,
|  | const char * | status_dim_name,
|  | const char * | id_array_dim_name,
|  | size_t | count,
|  | int * | dimension
| ) |  |
| static

## ◆ invalidate_id_status()

static void invalidate_id_status | ( | int | exoid,
|  | const char * | var_stat,
|  | const char * | var_id,
|  | int | count,
|  | int * | ids
| ) |  |
| static

## ◆ write_dummy_names()

static void write_dummy_names | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | int | num
| ) |  |
| static